### Signal

# WPEPlatform View::buffers-changed

#### Declaration

    void
    buffers_changed (
      WPEView* self,
      gpointer buffers,
      guint n_buffers,
      gpointer user_data
    )

#### Description [src]

Emitted to notify that the set of graphics buffers used to render the view have changed.

When buffers are about to be released, `n_buffers` will be zero and `buffers` will be `NULL`.

Buffers may be reconfigured at any time, but it is guaranteed that after buffer configuration and before buffers get released, buffers used for rendered content will be among those from the `buffers` array.

Platform implementations may use this to inspect the `buffers` and prior to their usage.

See also `wpe_view_buffers_changed()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`buffers`

  Type: An array of `WPEBuffer*`

  array of buffers.

  The argument can be `NULL`.
  The length of the array is specified in the `n_buffers` argument.

`n_buffers`

  Type: `guint`

  The amount of buffers in the `buffers` array.